Skip to Content
veriom

Upload latest audit

Queue the newest Full assessment of the default branch, or try a failed one again.

POST
/v1/workspaces/{workspace_id}/repositories/{repository_id}/code-scanning/uploads

Queue the newest Full assessment of the default branch, or try a failed one again.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
repository_id*Repository Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
attempts*Attempts
audit_id*Audit Id
Formatuuid
commit_sha*Commit Sha
completed_at*|null
created_at*Created At
Formatdate-time
error_code*string|null
error_detail*string|null
id*Id
Formatuuid
omitted?

Findings left out of the SARIF file, by reason: closed, unconfirmed, no_code_location (most architectural findings) or over_limit.

ref*Ref
results_count*Results Count
status*Status
Value in"queued""uploading""processing""succeeded""failed""skipped"
uploaded_at*|null
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/code-scanning/uploads'
Example Response
{  "attempts": 0,  "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",  "commit_sha": "string",  "completed_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "error_code": "string",  "error_detail": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "omitted": {    "property1": 0,    "property2": 0  },  "ref": "string",  "results_count": 0,  "status": "queued",  "uploaded_at": "2019-08-24T14:15:22Z"}